namespace PorygonSharp.DiagnosticHandling
{
    public enum DiagnosticCode
    {
        // Lex diagnostics
        UnexpectedCharacter,
        InvalidStringControlCharacter,

        // Parse diagnostics
        UnexpectedToken,

        // Bind diagnostics
        NoBinaryOperationFound,
        NoUnaryOperationFound,
        CantAssignVariable,
        VariableNotFound,
        ExpressionIsNotAFunction,
        ParameterCountMismatch,
        ParameterTypeMismatch,
        CantIndex,
        InvalidReturnType,
        ConditionNotABool,
        InvalidTableValueType,
        InvalidTypeName,
    }
}