﻿using System;
using System.Diagnostics;
using PorygonSharp;

namespace PorygonSharpCLI
{
    class Program
    {
        static void Main(string[] args)
        {
            var sw = Stopwatch.StartNew();
            for (var i = 0; i < 100000; i++)
            {
                var script = new Script("a = 500");
                script.Evaluate();
                script.Dispose();
            }
            sw.Stop();
            Console.WriteLine($"Time elapsed: {sw.ElapsedMilliseconds}");
        }
    }
}