using System;
using System.Collections;
using System.Runtime.InteropServices;

namespace PorygonSharp.EvalValues
{
    public static class ListIterator
    {
        public static IntPtr CreateListIterator(IList list)
        {
            return CreateCollectionRangeIterator(0, list.Count);
        }
        
        [DllImport("PorygonLang", EntryPoint = "CreateCollectionRangeIterator", CallingConvention = CallingConvention.Cdecl)]
        private static extern IntPtr CreateCollectionRangeIterator(int start, int end);
    }
}